Package org.jcsp.net.cns

# Class WrongFactoryException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.jcsp.net.cns.WrongFactoryException

All Implemented Interfaces:
  `Serializable`

public class WrongFactoryException extends RuntimeException
Thrown if an attempt is made to get a `NamedChannelEndManager` to destroy a channel that it did not create.

Author:
  Quickstone Technologies Limited
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`WrongFactoryException()`
Constructor for WrongFactoryException.
`WrongFactoryException(String message)`
Constructor for WrongFactoryException.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WrongFactoryException

public WrongFactoryException()
Constructor for WrongFactoryException.

### WrongFactoryException

public WrongFactoryException(String message)
Constructor for WrongFactoryException.

Parameters:
  `message` -